@import url("https://p.typekit.net/p.css?s=1&k=qah0owd&ht=tk&f=51975&a=143966981&app=typekit&e=css");

@font-face {
    font-family:"acumin-variable";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:400;font-stretch:normal;
}

@font-face {
    font-family:"acumin-variable-500";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:500;font-stretch:normal;
}

@font-face {
    font-family:"acumin-variable-800";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:800;font-stretch:normal;
}

@font-face {
    font-family:"acumin-variable-500ec";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:500;font-stretch:extra-condensed;
}

@font-face {
    font-family:"acumin-variable-700ec";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:700;font-stretch:extra-condensed;
}

@font-face {
    font-family:"acumin-variable-800ec";
    src:url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"),url("https://use.typekit.net/af/cd27bb/0000000000000000774be2a6/30/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display:auto;font-style:normal;font-weight:800;font-stretch:extra-condensed;
}

.dominfo-play-webgl-container-embed {
    width: 100%;
    min-width: 100%;
    max-width: none;
    margin: 0 auto;
    align-items: center;
    justify-content: center;
    padding: 0;
    position: relative;
    z-index: 20;
    font-size: calc(var(--content-width) * 0.016);
}

.desktop-only-elem {
    display: block;
}

.mobile-only-elem {
    display: none;
}

@media (min-width: 1024px) {
    .activity-embed-page-container {
        display: none;
        &> .warning {
            display: block;
        }
    }
}

/* Landscape mobile devices */
@media only screen and (hover: none) and (pointer: coarse) and (orientation: landscape) {
    .desktop-only-elem {
        display: none;
    }
    .mobile-only-elem {
        display: block;
    }

    .dominfo-play-webgl-container,
    .dominfo-play-webgl-container-embed {
        display: none;
    }

    .activities-banner-container-mobile {
        max-height: calc(100vh - 80px);

        &.trivia {
            background-image: url('/images/Activities/DW_mobile_tablet_BG_1600x800_nologo.jpg');

            &> .activities-banner-header {
                padding-right: 42%;
            }
        }
        
        &> .activities-banner-header {
            &> img {
                width: auto !important;
                max-height: 10rem;
            }
        }
    }
    
    .unity-footer {
        display: none;
    }
    .triviaembed-banner-container-mobile {
        display: none;
    }
    .activity-embed-page-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100vw;
        height: 100vh;
    }
    .unity-mobile #unity-canvas {
        max-width: 100%;
        max-height: 100%;
    }
}

/* Portrait mobile devices */
@media only screen and (hover: none) and (pointer: coarse) and (orientation: portrait) {
    .desktop-only-elem {
        display: none;
    }
    .mobile-only-elem {
        display: block;
    }
    
    .dominfo-play-webgl-container,
    .dominfo-play-webgl-container-embed {
        display: none;
    }

    .activities-embed-banner-container-mobile {
        width: 100vw;
        display: flex;
        flex-direction: column;
        height: 100vh;

        &.dominations > .activities-embed-banner-bg-mobile {
            background-image: url("/images/Activities/DW_Playnow_DomiNations_Game_Page_bg_overlay_1920x1080.jpg");
        }
        &.trivia > .activities-embed-banner-bg-mobile {
            background-image: url("/images/Activities/DW_Activity_Game_Page_bg_overlay_1920x1080.jpg");
        }
    }
    
    .activities-embed-banner-rotation-icon {
        position: relative;
        width: auto;
        flex-grow: 1;
        background-size: cover;
        background-position: center center;
        background-repeat: no-repeat;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .activities-embed-banner-bg-mobile {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        flex: 1;
        flex-direction: column;
        flex-grow: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .activities-embed-content {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        background-color: black;
        text-transform: uppercase;
        color: #FFD753;
        font-size: 1.5em;
        font-weight: bold;
        font-family: "acumin-variable-800ec", sans-serif;
        line-height: 1;
        margin-bottom: 40px;
    }
    .activities-embed-content-img img {
        height: 1.5em;
        padding-right: 0.25em;
    }
}
